----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Class = require "class"
require "Binary"
require "LUBE"
require "menu"
require "client"
require "server"
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function love.load()

  love.window.setTitle("LUBE Example")
  if love.window.setMode(800, 600, {vsync=true, fullscreen=false, fsaa=8}) == false then
    print("Error setting window dimensions and/or flags.")
    love.event.quit()
  end
  love.graphics.setBackgroundColor(0,0,0)
  love.graphics.setColor(255,255,255)

  currentstate = "menu"

end 
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function love.update(dt)
  
	if currentstate == "menu" then
		menu_update(dt)
	elseif currentstate == "client" then
		client_update(dt)
	elseif currentstate == "server" then
		server_update(dt)
	end

end
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function love.draw()
	
	if currentstate == "menu" then
		menu_draw()
	elseif currentstate == "client" then
		client_draw()
	elseif currentstate == "server" then
		server_draw()
	end

  love.graphics.print("currentstate = "..currentstate, 333, 10)

end
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
function love.keypressed(key)

	if currentstate == "menu" then
		menu_keypressed(key)
	end

	if key == 'escape' then
    love.event.quit()
  end

end
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
